// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "RenderTargetFunctions.generated.h"

/**
 * 
 */
UCLASS()
class PICTUREFROMPIXELS_API URenderTargetFunctions : public UBlueprintFunctionLibrary
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, Category = RenderTarget)
		static TArray<FColor> ReadPixels(UTextureRenderTarget* InputTexture);
	UFUNCTION(BlueprintCallable, Category = RenderTarget)
		static UTexture2D* DrawPixels(int32 SizeX, int32 SizeY, TArray<FColor> PixelData);
};
